#
# spec file for package python-stdnum
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define base_name python-stdnum

Name:           python-%{base_name}
Version:        1.3
Release:        2.5
License:        LGPL-2.0+
Summary:        Python module to handle standardized numbers and codes
Url:            http://arthurdejong.org/python-stdnum/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/21/9b/5ff5aeb1f41a23cbbfec6b4a7852c9fec6c904c34bba0b5f905da1702809/%{base_name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Suggests:       python-PySimpleSOAP
Suggests:       python-suds
BuildRoot:      %{_tmppath}/%{base_name}-%{version}-build
BuildArch:      noarch

%description
Parse, validate and reformat standard numbers and codes.

This library offers functions for parsing, validating and reformatting
standard numbers and codes in various formats.

Apart from the validate() function, modules generally provide extra
parsing, validation, formatting or conversion functions.

%prep
%setup -q -n %{base_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc NEWS ChangeLog README COPYING
%{python_sitelib}/*

%changelog
* Mon Jul  4 2016 axel.braun@gmx.de
- update to version 1.3
* Wed Jun 29 2016 axel.braun@gmx.de
- change package name to namingconventions
* Mon Jan  4 2016 axel.braun@gmx.de
- Version 1.2
  initial OBS build
